<?php

/**
 * @file
 * PMB administration form.
 */

/**
 * Base PMB admin form.
 *
 * @ingroup forms
 * @see system_settings_form()
 */
function pmb_admin_form() {
  $form = array();

  $form['tab'] = array(
  );

  $form['tab']['connector'] = array(
    '#type' => 'fieldset',
    '#title' => t('PMB Linking'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
    '#weight' => 1,
  );
  $form['tab']['connector']['pmb_link_type'] = array(
    '#type' => 'select',
    '#title' => t('PMB link type'),
    '#default_value' => variable_get('pmb_link_type', 'json-rpc'),
    '#description' => t("The type of the link to PMB"),
    '#options' => array(
      'json-rpc' => t('JSON-RPC'),
    ),
    '#required' => TRUE,
  );
  $form['tab']['connector']['pmb_link_serverurl'] = array(
    '#type' => 'textfield',
    '#title' => t('PMB service URL'),
    '#default_value' => variable_get('pmb_link_serverurl', ''),
    '#size' => 50,
    '#maxlength' => 256,
    '#description' => t("The url of the PMB service"),
    '#required' => TRUE,
  );
  $form['tab']['connector']['pmb_link_serveruser'] = array(
    '#type' => 'textfield',
    '#title' => t('PMB service login'),
    '#default_value' => variable_get('pmb_link_serveruser', ''),
    '#size' => 50,
    '#maxlength' => 256,
    '#description' => t('The login of the PMB service. Let empty in case of an anonymous use.'),
    '#required' => FALSE,
  );
  $form['tab']['connector']['pmb_link_serverpassword'] = array(
    '#type' => 'textfield',
    '#title' => t('The password of the PMB service'),
    '#default_value' => variable_get('pmb_link_serverpassword', ''),
    '#size' => 50,
    '#maxlength' => 256,
    '#description' => t('PMB service password. Let empty in case of an anonymous use.'),
    '#required' => FALSE,
  );

  $form['tab']['cache'] = array(
    '#type' => 'fieldset',
    '#title' => t('Cache of records'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
    '#weight' => 3,
  );
  $form['tab']['cache']['pmb_user_cache_profile'] = array(
    '#type' => 'radios',
    '#title' => t('Cache profile'),
    '#default_value' => variable_get('pmb_user_cache_profile', 'cache_anonymous_all'),
    '#description' => t("The profile of the cache. Determine how to cache the notices. This will have an impact on performances."),
    '#required' => TRUE,
    '#options' => array(
      'cache_anonymous_all' => t('Anonymous and readers share the same cache.'),
      'cache_anonymous_empr_all' => t('Anonymous readers have their own cache. All readers share the same cache.'),
      'cache_anonymous_empr_separate' => t("Anonymous readers have their own cache. Each reader has its own cache."),
    ),
  );
  $form['tab']['cache']['pmb_cache_duration_notice'] = array(
    '#type' => 'textfield',
    '#title' => t('Duration of the notices in the cache'),
    '#default_value' => variable_get('pmb_cache_duration_notice', 3600),
    '#size' => 10,
    '#maxlength' => 10,
    '#description' => t("The duration of the notices in the cache, in seconds"),
    '#required' => TRUE,
  );
  $form['tab']['cache']['pmb_cache_duration_author'] = array(
    '#type' => 'textfield',
    '#title' => t('Duration of the authors in the cache'),
    '#default_value' => variable_get('pmb_cache_duration_author', 3600),
    '#size' => 10,
    '#maxlength' => 10,
    '#description' => t("The duration of the authors in the cache, in seconds"),
    '#required' => TRUE,
  );
  $form['tab']['cache']['pmb_cache_duration_publisher'] = array(
    '#type' => 'textfield',
    '#title' => t('Duration of the publishers in the cache'),
    '#default_value' => variable_get('pmb_cache_duration_publisher', 3600),
    '#size' => 10,
    '#maxlength' => 10,
    '#description' => t("The duration of the publishers in the cache, in seconds"),
    '#required' => TRUE,
  );
  $form['tab']['cache']['pmb_cache_duration_collection'] = array(
    '#type' => 'textfield',
    '#title' => t('Duration of the collections in the cache'),
    '#default_value' => variable_get('pmb_cache_duration_collection', 3600),
    '#size' => 10,
    '#maxlength' => 10,
    '#description' => t("The duration of the collections in the cache, in seconds"),
    '#required' => TRUE,
  );
  $form['tab']['cache']['pmb_cache_duration_subcollection'] = array(
    '#type' => 'textfield',
    '#title' => t('Duration of the subcollections in the cache'),
    '#default_value' => variable_get('pmb_cache_duration_subcollection', 3600),
    '#size' => 10,
    '#maxlength' => 10,
    '#description' => t("The duration of the subcollections in the cache, in seconds"),
    '#required' => TRUE,
  );
  $form['tab']['cache']['pmb_cache_duration_locations_and_sections'] = array(
    '#type' => 'textfield',
    '#title' => t('Duration of the locations and sections in the cache'),
    '#default_value' => variable_get('pmb_cache_duration_locations_and_sections', 60 * 24 * 7),
    '#size' => 10,
    '#maxlength' => 10,
    '#description' => t("The duration of the locations and sections in the cache, in seconds"),
    '#required' => TRUE,
  );
  $form['tab']['cache']['pmb_cache_duration_search'] = array(
    '#type' => 'textfield',
    '#title' => t('Duration of the searches in the cache'),
    '#default_value' => variable_get('pmb_cache_duration_search', 60 * 15),
    '#size' => 10,
    '#maxlength' => 10,
    '#description' => t("The duration of the searches in the cache, in seconds"),
    '#required' => TRUE,
  );

  return system_settings_form($form);
}
