<?php

/**
 * @file
 * PMB catalog administration form.
 */

/**
 * Catalog admin form.
 *
 * @ingroup forms
 * @see pmb_admin_form()
 */
function pmb_catalog_admin_form() {
  $form = array();

  $form['browse'] = array(
    '#type' => 'fieldset',
    '#title' => t('Display browse lists'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
    '#weight' => 7,
  );
  $form['browse']['pmb_noticeperpage_author'] = array(
    '#type' => 'textfield',
    '#title' => t('Records per page / Authors'),
    '#default_value' => variable_get('pmb_noticeperpage_author', 3),
    '#size' => 5,
    '#maxlength' => 10,
    '#description' => t('Number of record per page in the author pages'),
    '#required' => TRUE,
  );
  $form['browse']['pmb_noticeperpage_publisher'] = array(
    '#type' => 'textfield',
    '#title' => t('Records per page / Publishers'),
    '#default_value' => variable_get('pmb_noticeperpage_publisher', 3),
    '#size' => 5,
    '#maxlength' => 10,
    '#description' => t('Number of records per page in the publisher pages'),
    '#required' => TRUE,
  );
  $form['browse']['pmb_noticeperpage_collection'] = array(
    '#type' => 'textfield',
    '#title' => t('Records per page / Collections'),
    '#default_value' => variable_get('pmb_noticeperpage_collection', 3),
    '#size' => 5,
    '#maxlength' => 10,
    '#description' => t('Number of records per page in the collection pages'),
    '#required' => TRUE,
  );
  $form['browse']['pmb_noticeperpage_subcollection'] = array(
    '#type' => 'textfield',
    '#title' => t('Records per page / Sub-Collections'),
    '#default_value' => variable_get('pmb_noticeperpage_subcollection', 3),
    '#size' => 5,
    '#maxlength' => 10,
    '#description' => t('Number of records per page in the sub-collection pages'),
    '#required' => TRUE,
  );
  $form['browse']['pmb_noticeperpage_block_shelf'] = array(
    '#type' => 'textfield',
    '#title' => t('Records in shelf block'),
    '#default_value' => variable_get('pmb_noticeperpage_block_shelf', 3),
    '#size' => 5,
    '#maxlength' => 10,
    '#description' => t('Number of records displayed in a shelf block'),
    '#required' => TRUE,
  );

  return $form;
}