<?php

/**
 * @file
 * PMB reader administration form.
 */

/**
 * Reader admin form.
 *
 * @ingroup forms
 * @see pmb_admin_form()
 */
function pmb_reader_admin_form() {
  $form = array();

  $form['reader'] = array(
    '#type' => 'fieldset',
    '#title' => t('Cache of readers'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
    '#weight' => 5,
  );
  $form['reader']['pmb_reader_session_duration'] = array(
    '#type' => 'textfield',
    '#title' => t('Duration of the reader sessions in the cache'),
    '#default_value' => variable_get('pmb_reader_session_duration', 60 * 20 - 5),
    '#size' => 10,
    '#maxlength' => 10,
    '#description' => t('The duration of the reader sessions in the cache, in seconds'),
    '#required' => TRUE,
  );
  $form['reader']['pmb_cache_duration_reader_loans'] = array(
    '#type' => 'textfield',
    '#title' => t('Duration of the loans of readers in the cache'),
    '#default_value' => variable_get('pmb_cache_duration_reader_loans', 60 * 20 - 5),
    '#size' => 10,
    '#maxlength' => 10,
    '#description' => t('The duration of the loans of readers in the cache, in seconds'),
    '#required' => TRUE,
  );
  $form['reader']['pmb_cache_duration_reader_reservations'] = array(
    '#type' => 'textfield',
    '#title' => t('Duration of the reservations of readers in the cache'),
    '#default_value' => variable_get('pmb_cache_duration_reader_reservations', 5),
    '#size' => 10,
    '#maxlength' => 10,
    '#description' => t('The duration of the reservations readers in the cache, in seconds'),
    '#required' => TRUE,
  );
  return $form;
}
